Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# INS_Locator Class Reference

Implementation Repository INS Locator class. More...

`#include <INS_Locator.h>`

Inheritance diagram for INS_Locator:

[legend]
Collaboration diagram for INS_Locator:

[legend]
List of all members.

## Public Methods
| INS_Locator (ImR_Locator_i *loc)
| Constructor.
char * | locate (const char *object_key ACE_ENV_ARG_DECL) throw (CORBA::SystemException, IORTable::NotFound)
| Locate the appropriate IOR.
## Private Attributes
ImR_Locator_i * | imr_locator_

## Detailed Description

Implementation Repository INS Locator class.

This class provides a callback for the IORTable to call when it needs to dynamically receive a IOR to forward in response to an INS request.

## Constructor & Destructor Documentation

INS_Locator::INS_Locator | ( | ImR_Locator_i * | loc | ) |

| Constructor.

## Member Function Documentation

char * INS_Locator::locate | ( | const char *object_key | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, IORTable::NotFound)`[virtual]`

| Locate the appropriate IOR. Implements IORTable::Locator.

## Member Data Documentation

ImR_Locator_i* INS_Locator::imr_locator_`[private]`

The documentation for this class was generated from the following files:

- INS_Locator.h
- INS_Locator.cpp